Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package session

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Definition Classes
    interpreter
- AbstractFileClassLoader
- AbstractOrMissingHandler
- CommandLine
- Completion
- Delimited
- EchoReader
- ExprTyper
- Formatting
- ILoop
- IMain
- IMainOps
- ISettings
- Imports
- InteractiveReader
- Javap
- JavapClass
- Logger
- LoopCommands
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- NoCompletion
- NoJavap
- Parsed
- Pasted
- Phased
- Power
- PresentationCompilation
- PresentationCompilerCompleter
- ProcessResult
- ReplConfig
- ReplDir
- ReplGlobal
- ReplOutput
- ReplProps
- ReplReporter
- ReplStrings
- ReplVals
- Results
- RichClass
- Scripted
- SimpleReader
- SplashLoop
- SplashReader
- StdReplTags
- StdReplVals
- Tabulator
- TapMaker
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter

# StdReplVals 

###

#### class StdReplVals extends ReplVals

Source
  ReplVals.scala

Linear Supertypes
ReplVals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StdReplVals
2. ReplVals
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new StdReplVals(r: ILoop)

### Type Members

1.  class ReplImplicits extends Implicits2

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StdReplVals to any2stringadd[StdReplVals] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StdReplVals, B)
   Implicit
     This member is added by an implicit conversion from StdReplVals to ArrowAssoc[StdReplVals] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final lazy val analyzer: Analyzer { val global: StdReplVals.this.global.type }
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  final lazy val completion: Completion
10.  def ensuring(cond: (StdReplVals) ⇒ Boolean, msg: ⇒ Any): StdReplVals
    Implicit
      This member is added by an implicit conversion from StdReplVals to Ensuring[StdReplVals] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (StdReplVals) ⇒ Boolean): StdReplVals
    Implicit
      This member is added by an implicit conversion from StdReplVals to Ensuring[StdReplVals] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): StdReplVals
    Implicit
      This member is added by an implicit conversion from StdReplVals to Ensuring[StdReplVals] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): StdReplVals
    Implicit
      This member is added by an implicit conversion from StdReplVals to Ensuring[StdReplVals] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StdReplVals to StringFormat[StdReplVals] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  final lazy val global: IMain.global.type
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  final lazy val history: History
22.  final lazy val intp: IMain
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final lazy val isettings: ISettings
25.  def lastRequest: Request
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  final lazy val phased: Phased
30.  final lazy val power: Power[StdReplVals]
31.  final val r: ILoop
32.  final lazy val reader: InteractiveReader
33.  final lazy val repl: ILoop
34.  final lazy val replImplicits: ReplImplicits
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def typed[T <: Global.Tree](tree: T): T
38.  final lazy val typer: (analyzer)#Typer
39.  final lazy val vals: StdReplVals
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  def →[B](y: B): (StdReplVals, B)
    Implicit
      This member is added by an implicit conversion from StdReplVals to ArrowAssoc[StdReplVals] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
44.  object treedsl extends TreeDSL

### Inherited from ReplVals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StdReplVals to any2stringadd[StdReplVals]

### Inherited by implicit conversion StringFormat from StdReplVals to StringFormat[StdReplVals]

### Inherited by implicit conversion Ensuring from StdReplVals to Ensuring[StdReplVals]

### Inherited by implicit conversion ArrowAssoc from StdReplVals to ArrowAssoc[StdReplVals]

### Ungrouped